-- Возвращает единицу если в списке осуществляющих деятельность на объекте есть хотя бы одно юр. или физлицо из переданного строкового списка айдишников
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[HasInUsers]') and xtype in (N'FN', N'IF', N'TF'))
drop function [dbo].HasInUsers
go
create function HasInUsers(@ObjectID integer, @UsersList nvarchar(1024))
returns bit
as
begin
  declare @res bit  
  set @res = 0    
  declare @sourceid integer
  select @sourceid = dbo.GetUsersSource(@ObjectID)
  select distinct @res = 1 from PowerObjectUsers where PowerObjectID = @sourceid and LegalEntityID in 
    (SELECT * FROM dbo.StringToIntList(@UsersList, ','))
  return @res
end                                                			                                                			